/* soapOrdersManagerBindingProxy.cpp
   Generated by gSOAP 2.8.22 from OrdersManager.h

Copyright(C) 2000-2015, Robert van Engelen, Genivia Inc. All Rights Reserved.
The generated code is released under one of the following licenses:
GPL or Genivia's license for commercial use.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
*/

#include "soapOrdersManagerBindingProxy.h"

OrdersManagerBindingProxy::OrdersManagerBindingProxy()
{	this->soap = soap_new();
	this->soap_own = true;
	OrdersManagerBindingProxy_init(SOAP_IO_DEFAULT, SOAP_IO_DEFAULT);
}

OrdersManagerBindingProxy::OrdersManagerBindingProxy(struct soap *_soap)
{	this->soap = _soap;
	this->soap_own = false;
	OrdersManagerBindingProxy_init(_soap->imode, _soap->omode);
}

OrdersManagerBindingProxy::OrdersManagerBindingProxy(const char *url)
{	this->soap = soap_new();
	this->soap_own = true;
	OrdersManagerBindingProxy_init(SOAP_IO_DEFAULT, SOAP_IO_DEFAULT);
	soap_endpoint = url;
}

OrdersManagerBindingProxy::OrdersManagerBindingProxy(soap_mode iomode)
{	this->soap = soap_new();
	this->soap_own = true;
	OrdersManagerBindingProxy_init(iomode, iomode);
}

OrdersManagerBindingProxy::OrdersManagerBindingProxy(const char *url, soap_mode iomode)
{	this->soap = soap_new();
	this->soap_own = true;
	OrdersManagerBindingProxy_init(iomode, iomode);
	soap_endpoint = url;
}

OrdersManagerBindingProxy::OrdersManagerBindingProxy(soap_mode imode, soap_mode omode)
{	this->soap = soap_new();
	this->soap_own = true;
	OrdersManagerBindingProxy_init(imode, omode);
}

OrdersManagerBindingProxy::~OrdersManagerBindingProxy()
{	if (this->soap_own)
		soap_free(this->soap);
}

void OrdersManagerBindingProxy::OrdersManagerBindingProxy_init(soap_mode imode, soap_mode omode)
{	soap_imode(this->soap, imode);
	soap_omode(this->soap, omode);
	soap_endpoint = NULL;
	static const struct Namespace namespaces[] =
{
	{"SOAP-ENV", "http://www.w3.org/2003/05/soap-envelope", "http://schemas.xmlsoap.org/soap/envelope/", NULL},
	{"SOAP-ENC", "http://www.w3.org/2003/05/soap-encoding", "http://schemas.xmlsoap.org/soap/encoding/", NULL},
	{"xsi", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/*/XMLSchema-instance", NULL},
	{"xsd", "http://www.w3.org/2001/XMLSchema", "http://www.w3.org/*/XMLSchema", NULL},
	{"ns1", "http://www.ordersmanager.ru/", NULL, NULL},
	{NULL, NULL, NULL, NULL}
};
	soap_set_namespaces(this->soap, namespaces);
}

void OrdersManagerBindingProxy::destroy()
{	soap_destroy(this->soap);
	soap_end(this->soap);
}

void OrdersManagerBindingProxy::reset()
{	destroy();
	soap_done(this->soap);
	soap_initialize(this->soap);
	OrdersManagerBindingProxy_init(SOAP_IO_DEFAULT, SOAP_IO_DEFAULT);
}

void OrdersManagerBindingProxy::soap_noheader()
{	this->soap->header = NULL;
}

const SOAP_ENV__Header *OrdersManagerBindingProxy::soap_header()
{	return this->soap->header;
}

const SOAP_ENV__Fault *OrdersManagerBindingProxy::soap_fault()
{	return this->soap->fault;
}

const char *OrdersManagerBindingProxy::soap_fault_string()
{	return *soap_faultstring(this->soap);
}

const char *OrdersManagerBindingProxy::soap_fault_detail()
{	return *soap_faultdetail(this->soap);
}

int OrdersManagerBindingProxy::soap_close_socket()
{	return soap_closesock(this->soap);
}

int OrdersManagerBindingProxy::soap_force_close_socket()
{	return soap_force_closesock(this->soap);
}

void OrdersManagerBindingProxy::soap_print_fault(FILE *fd)
{	::soap_print_fault(this->soap, fd);
}

#ifndef WITH_LEAN
#ifndef WITH_COMPAT
void OrdersManagerBindingProxy::soap_stream_fault(std::ostream& os)
{	::soap_stream_fault(this->soap, os);
}
#endif

char *OrdersManagerBindingProxy::soap_sprint_fault(char *buf, size_t len)
{	return ::soap_sprint_fault(this->soap, buf, len);
}
#endif

int OrdersManagerBindingProxy::GetResponseCodeString(const char *endpoint, const char *soap_action, enum ns1__responseCodeType code, std::string &str)
{	struct soap *soap = this->soap;
	struct __ns1__GetResponseCodeString soap_tmp___ns1__GetResponseCodeString;
	struct __ns1__GetResponseCodeStringResponse *soap_tmp___ns1__GetResponseCodeStringResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__GetResponseCodeString.code = code;
	soap_serializeheader(soap);
	soap_serialize___ns1__GetResponseCodeString(soap, &soap_tmp___ns1__GetResponseCodeString);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__GetResponseCodeString(soap, &soap_tmp___ns1__GetResponseCodeString, "-ns1:GetResponseCodeString", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__GetResponseCodeString(soap, &soap_tmp___ns1__GetResponseCodeString, "-ns1:GetResponseCodeString", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&str)
		return soap_closesock(soap);
	soap_default_std__string(soap, &str);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__GetResponseCodeStringResponse = soap_get___ns1__GetResponseCodeStringResponse(soap, NULL, "-ns1:GetResponseCodeStringResponse", NULL);
	if (!soap_tmp___ns1__GetResponseCodeStringResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	str = soap_tmp___ns1__GetResponseCodeStringResponse->str;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::GetUserId(const char *endpoint, const char *soap_action, std::string str, int &value)
{	struct soap *soap = this->soap;
	struct __ns1__GetUserId soap_tmp___ns1__GetUserId;
	struct __ns1__GetUserIdResponse *soap_tmp___ns1__GetUserIdResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__GetUserId.str = str;
	soap_serializeheader(soap);
	soap_serialize___ns1__GetUserId(soap, &soap_tmp___ns1__GetUserId);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__GetUserId(soap, &soap_tmp___ns1__GetUserId, "-ns1:GetUserId", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__GetUserId(soap, &soap_tmp___ns1__GetUserId, "-ns1:GetUserId", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&value)
		return soap_closesock(soap);
	soap_default_int(soap, &value);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__GetUserIdResponse = soap_get___ns1__GetUserIdResponse(soap, NULL, "-ns1:GetUserIdResponse", NULL);
	if (!soap_tmp___ns1__GetUserIdResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	value = soap_tmp___ns1__GetUserIdResponse->value;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::GetBusinessName(const char *endpoint, const char *soap_action, int idBusiness, std::string &str)
{	struct soap *soap = this->soap;
	struct __ns1__GetBusinessName soap_tmp___ns1__GetBusinessName;
	struct __ns1__GetBusinessNameResponse *soap_tmp___ns1__GetBusinessNameResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__GetBusinessName.idBusiness = idBusiness;
	soap_serializeheader(soap);
	soap_serialize___ns1__GetBusinessName(soap, &soap_tmp___ns1__GetBusinessName);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__GetBusinessName(soap, &soap_tmp___ns1__GetBusinessName, "-ns1:GetBusinessName", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__GetBusinessName(soap, &soap_tmp___ns1__GetBusinessName, "-ns1:GetBusinessName", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&str)
		return soap_closesock(soap);
	soap_default_std__string(soap, &str);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__GetBusinessNameResponse = soap_get___ns1__GetBusinessNameResponse(soap, NULL, "-ns1:GetBusinessNameResponse", NULL);
	if (!soap_tmp___ns1__GetBusinessNameResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	str = soap_tmp___ns1__GetBusinessNameResponse->str;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::GetIdBusinessList(const char *endpoint, const char *soap_action, int idParent, ns1__idListType &idBussinessList)
{	struct soap *soap = this->soap;
	struct __ns1__GetIdBusinessList soap_tmp___ns1__GetIdBusinessList;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__GetIdBusinessList.idParent = idParent;
	soap_serializeheader(soap);
	soap_serialize___ns1__GetIdBusinessList(soap, &soap_tmp___ns1__GetIdBusinessList);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__GetIdBusinessList(soap, &soap_tmp___ns1__GetIdBusinessList, "-ns1:GetIdBusinessList", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__GetIdBusinessList(soap, &soap_tmp___ns1__GetIdBusinessList, "-ns1:GetIdBusinessList", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&idBussinessList)
		return soap_closesock(soap);
	idBussinessList.soap_default(soap);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	idBussinessList.soap_get(soap, "idBussinessList", NULL);
	if (soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::GetUserInfo(const char *endpoint, const char *soap_action, int idUser, ns1__clientBaseInfoType &userInfo)
{	struct soap *soap = this->soap;
	struct __ns1__GetUserInfo soap_tmp___ns1__GetUserInfo;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__GetUserInfo.idUser = idUser;
	soap_serializeheader(soap);
	soap_serialize___ns1__GetUserInfo(soap, &soap_tmp___ns1__GetUserInfo);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__GetUserInfo(soap, &soap_tmp___ns1__GetUserInfo, "-ns1:GetUserInfo", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__GetUserInfo(soap, &soap_tmp___ns1__GetUserInfo, "-ns1:GetUserInfo", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&userInfo)
		return soap_closesock(soap);
	userInfo.soap_default(soap);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	userInfo.soap_get(soap, "userInfo", NULL);
	if (soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::Registration(const char *endpoint, const char *soap_action, ns1__clientFullInfoType *info, enum ns1__responseCodeType &code)
{	struct soap *soap = this->soap;
	struct __ns1__Registration soap_tmp___ns1__Registration;
	struct __ns1__RegistrationResponse *soap_tmp___ns1__RegistrationResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__Registration.info = info;
	soap_serializeheader(soap);
	soap_serialize___ns1__Registration(soap, &soap_tmp___ns1__Registration);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__Registration(soap, &soap_tmp___ns1__Registration, "-ns1:Registration", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__Registration(soap, &soap_tmp___ns1__Registration, "-ns1:Registration", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&code)
		return soap_closesock(soap);
	soap_default_ns1__responseCodeType(soap, &code);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__RegistrationResponse = soap_get___ns1__RegistrationResponse(soap, NULL, "-ns1:RegistrationResponse", NULL);
	if (!soap_tmp___ns1__RegistrationResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	code = soap_tmp___ns1__RegistrationResponse->code;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::Authorization(const char *endpoint, const char *soap_action, ns1__clientAuthorizationInfoType *authInfo, enum ns1__responseCodeType &code)
{	struct soap *soap = this->soap;
	struct __ns1__Authorization soap_tmp___ns1__Authorization;
	struct __ns1__AuthorizationResponse *soap_tmp___ns1__AuthorizationResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__Authorization.authInfo = authInfo;
	soap_serializeheader(soap);
	soap_serialize___ns1__Authorization(soap, &soap_tmp___ns1__Authorization);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__Authorization(soap, &soap_tmp___ns1__Authorization, "-ns1:Authorization", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__Authorization(soap, &soap_tmp___ns1__Authorization, "-ns1:Authorization", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&code)
		return soap_closesock(soap);
	soap_default_ns1__responseCodeType(soap, &code);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__AuthorizationResponse = soap_get___ns1__AuthorizationResponse(soap, NULL, "-ns1:AuthorizationResponse", NULL);
	if (!soap_tmp___ns1__AuthorizationResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	code = soap_tmp___ns1__AuthorizationResponse->code;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::SendOrder(const char *endpoint, const char *soap_action, ns1__OrderType *order, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code)
{	struct soap *soap = this->soap;
	struct __ns1__SendOrder soap_tmp___ns1__SendOrder;
	struct __ns1__SendOrderResponse *soap_tmp___ns1__SendOrderResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__SendOrder.order = order;
	soap_tmp___ns1__SendOrder.auth = auth;
	soap_serializeheader(soap);
	soap_serialize___ns1__SendOrder(soap, &soap_tmp___ns1__SendOrder);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__SendOrder(soap, &soap_tmp___ns1__SendOrder, "-ns1:SendOrder", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__SendOrder(soap, &soap_tmp___ns1__SendOrder, "-ns1:SendOrder", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&code)
		return soap_closesock(soap);
	soap_default_ns1__responseCodeType(soap, &code);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__SendOrderResponse = soap_get___ns1__SendOrderResponse(soap, NULL, "-ns1:SendOrderResponse", NULL);
	if (!soap_tmp___ns1__SendOrderResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	code = soap_tmp___ns1__SendOrderResponse->code;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::TakeOrder(const char *endpoint, const char *soap_action, int takeId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code)
{	struct soap *soap = this->soap;
	struct __ns1__TakeOrder soap_tmp___ns1__TakeOrder;
	struct __ns1__TakeOrderResponse *soap_tmp___ns1__TakeOrderResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__TakeOrder.takeId = takeId;
	soap_tmp___ns1__TakeOrder.auth = auth;
	soap_serializeheader(soap);
	soap_serialize___ns1__TakeOrder(soap, &soap_tmp___ns1__TakeOrder);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__TakeOrder(soap, &soap_tmp___ns1__TakeOrder, "-ns1:TakeOrder", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__TakeOrder(soap, &soap_tmp___ns1__TakeOrder, "-ns1:TakeOrder", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&code)
		return soap_closesock(soap);
	soap_default_ns1__responseCodeType(soap, &code);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__TakeOrderResponse = soap_get___ns1__TakeOrderResponse(soap, NULL, "-ns1:TakeOrderResponse", NULL);
	if (!soap_tmp___ns1__TakeOrderResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	code = soap_tmp___ns1__TakeOrderResponse->code;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::FinishOrder(const char *endpoint, const char *soap_action, int finishId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code)
{	struct soap *soap = this->soap;
	struct __ns1__FinishOrder soap_tmp___ns1__FinishOrder;
	struct __ns1__FinishOrderResponse *soap_tmp___ns1__FinishOrderResponse;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__FinishOrder.finishId = finishId;
	soap_tmp___ns1__FinishOrder.auth = auth;
	soap_serializeheader(soap);
	soap_serialize___ns1__FinishOrder(soap, &soap_tmp___ns1__FinishOrder);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__FinishOrder(soap, &soap_tmp___ns1__FinishOrder, "-ns1:FinishOrder", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__FinishOrder(soap, &soap_tmp___ns1__FinishOrder, "-ns1:FinishOrder", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&code)
		return soap_closesock(soap);
	soap_default_ns1__responseCodeType(soap, &code);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_tmp___ns1__FinishOrderResponse = soap_get___ns1__FinishOrderResponse(soap, NULL, "-ns1:FinishOrderResponse", NULL);
	if (!soap_tmp___ns1__FinishOrderResponse || soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	code = soap_tmp___ns1__FinishOrderResponse->code;
	return soap_closesock(soap);
}

int OrdersManagerBindingProxy::FindOrders(const char *endpoint, const char *soap_action, ns1__OrdersQueryType *query, ns1__clientAuthorizationInfoType *auth, struct __ns1__FindOrdersResponse &_param_1)
{	struct soap *soap = this->soap;
	struct __ns1__FindOrders soap_tmp___ns1__FindOrders;
	if (endpoint)
		soap_endpoint = endpoint;
	if (soap_endpoint == NULL)
		soap_endpoint = "192.168.0.1:8080";
	if (soap_action == NULL)
		soap_action = "";
	soap_begin(soap);
	soap->encodingStyle = NULL;
	soap_tmp___ns1__FindOrders.query = query;
	soap_tmp___ns1__FindOrders.auth = auth;
	soap_serializeheader(soap);
	soap_serialize___ns1__FindOrders(soap, &soap_tmp___ns1__FindOrders);
	if (soap_begin_count(soap))
		return soap->error;
	if (soap->mode & SOAP_IO_LENGTH)
	{	if (soap_envelope_begin_out(soap)
		 || soap_putheader(soap)
		 || soap_body_begin_out(soap)
		 || soap_put___ns1__FindOrders(soap, &soap_tmp___ns1__FindOrders, "-ns1:FindOrders", NULL)
		 || soap_body_end_out(soap)
		 || soap_envelope_end_out(soap))
			 return soap->error;
	}
	if (soap_end_count(soap))
		return soap->error;
	if (soap_connect(soap, soap_url(soap, soap_endpoint, NULL), soap_action)
	 || soap_envelope_begin_out(soap)
	 || soap_putheader(soap)
	 || soap_body_begin_out(soap)
	 || soap_put___ns1__FindOrders(soap, &soap_tmp___ns1__FindOrders, "-ns1:FindOrders", NULL)
	 || soap_body_end_out(soap)
	 || soap_envelope_end_out(soap)
	 || soap_end_send(soap))
		return soap_closesock(soap);
	if (!&_param_1)
		return soap_closesock(soap);
	soap_default___ns1__FindOrdersResponse(soap, &_param_1);
	if (soap_begin_recv(soap)
	 || soap_envelope_begin_in(soap)
	 || soap_recv_header(soap)
	 || soap_body_begin_in(soap))
		return soap_closesock(soap);
	soap_get___ns1__FindOrdersResponse(soap, &_param_1, "-ns1:FindOrdersResponse", NULL);
	if (soap->error)
		return soap_recv_fault(soap, 0);
	if (soap_body_end_in(soap)
	 || soap_envelope_end_in(soap)
	 || soap_end_recv(soap))
		return soap_closesock(soap);
	return soap_closesock(soap);
}
/* End of client proxy code */
